## org.apache.commons.configuration
Interface FileSystemBased

All Known Implementing Classes:
  AbstractFileConfiguration, AbstractHierarchicalFileConfiguration, AbstractHierarchicalFileConfiguration.FileConfigurationDelegate, DefaultConfigurationBuilder, HierarchicalINIConfiguration, HierarchicalXMLConfiguration, INIConfiguration, MultiFileHierarchicalConfiguration, PatternSubtreeConfigurationWrapper, PropertiesConfiguration, PropertyListConfiguration, XMLConfiguration, XMLPropertiesConfiguration, XMLPropertyListConfiguration

    public interface FileSystemBased

Interface used to install or locate the FileSystem

Since:
  1.7
Author:
  Commons Configuration team

Method Summary
`FileSystem` `getFileSystem()`
`void` `resetFileSystem()`
`void` `setFileSystem(FileSystem fileSystem)`

Method Detail

### setFileSystem

    void setFileSystem(FileSystem fileSystem)

### resetFileSystem

    void resetFileSystem()

### getFileSystem

    FileSystem getFileSystem()

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.